Thu Jan  4 13:19:20 1996  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- from Cyclic CVS version:

	Sat Dec 30 15:01:45 1995  Karl Fogel  <kfogel@floss.cyclic.com>

	        * pcl-cvs.el (cvs-changelog-ours-p): check that
	        `add-log-full-name' and `add-log-mailing-address' are non-nil, in
	        addition to checking that they are boundp.

Fri Dec 22 17:52:17 1995  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- (cvs-parse-stdout): make the "connection timed out" an error

	- from Cyclic CVS version:

	Thu Dec 21 16:45:48 1995  Karl Fogel  <kfogel@occs.cs.oberlin.edu>

	        * pcl-cvs.el (cvs-parse-stderr): ignore kerberos connection
	        failure, since CVS will automatically try rsh next.  I think this
	        is okay because if a person needs to know that kerberos failed,
	        then chances are the rsh failed too, and *that* error message will
	        clue them in that something's afoot.

Thu Dec 21 21:13:10 1995  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- (cvs-parse-stdout): handle "Permission denied" (which will
	often precede the "premature EOF from server" message....)

	- from Cyclic CVS version:

	Wed Nov 22 11:01:50 1995  Joshua Cowan <jcowan@hermit.reslife.okstate.edu>

		* pcl-cvs.el (cvs-changelog-ours-p): use `user-full-name' if
		`add-log-full-name' unbound, as not every uses the stuff in
		add-log.el.  Same with `add-log-mailing-address'.
		(cvs-changelog-entries): change to `change-log-mode' unless
		already in it.

	* ToDo:
	- more new ideas....

Mon Nov 27 23:19:50 1995  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- add more support for recognizing unknown directories
	- add initial support for properly supporting directories with cvs-mode-add

Tue Nov 21 16:51:45 1995  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- fix up the debug mail message buffer formatting
	- include bugs@most.weird.com on debug message list (i.e. my gnats)
	(cvs-parse-stderr): fix up handling of some transient errors, such as
	network server errors

Mon Nov 20 19:13:34 1995  Greg A. Woods  <woods@most.weird.com>

	* Makefile:
	- minor tweaks on version numbers, etc.
	- added '-n -q' to emacs arguments...

	* pcl-cvs.texinfo:
	- mention new pcl-cvs release properly
	- mention new CVS release
	- fix grammar & layout style here and there...
	- move GPL to the bottom and into an included file (should ref another
	info document)
	- add Ediff documentation, fix up Emerge docs.
	- updated Contributors section
	- add note about 'Patched' state (FIXME: more remote docs needed!!!!)
	- added some documentation for cvs-mode-changelog-commit
	- added a few more index entries, etc.

	* pcl-cvs.el:
	- update comments and documentation, fix grammar, etc.
	- mention new CVS release
	- re-sort cvs-mode-map setup, document key-map convention
	- re-write (cvs-mode-ediff), adding (cvs-old-ediff-interface)
	- fix (cvs-retrieve-revision-to-tmpfile) to handle empty revision arg.

	* ToDo:
	- lots of new ideas
	- give up on 'C-u' for cvs-mode-*
	- minor prioritisation

Thu Nov 16 20:38:58 1995  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el (cvs-mode-emerge):
	fix the quit-hook setup for ediff-*
	(cvs-mode-ediff): new, based on cvs-mode-emerge

	* pcl-cvs.el (cvs-mode-emerge):
	cleanups and use emerge-hooks, and protect from
	multiple invocations (idea from Loren James Rittle <rittle@comm.mot.com>)

	* pcl-cvs.el (cvs-diff-program):
	document problems with vendor versions

	* pcl-cvs.el, ToDo:
	- add minimal "cvs tag" and "cvs rtag" support
	(cvs-mod): clean up the documentation
	(cvs-mode-map): clean up a bit too
	(cvs-mode-log), (cvs-mode-status): clean up implementation

Wed Nov 15 18:39:22 1995  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el, ToDo:
	(cvs-parse-stderr) - handle some more error messages from CVS

	* pcl-cvs.el:
	Various tweaks and fixes after diffing with CVS-1.6.1 version:
	- spelling/typos
	- minor re-indentation
	- missed one check for PATCHED
	- more documentation and comment fixups

	* pcl-cvs.el:
	From: Loren James Rittle <rittle@comm.mot.com>
	To: info-cvs@prep.ai.mit.edu
	Subject: Change to allow pcl-cvs to use ediff instead of emerge
	Date: Mon, 6 Nov 95 17:17:31 CST

	2) ensures the user wants to `update' in cases where a possible conflict
	   currectly exists;

	* pcl-cvs.el:
	Message-Id: <9511062119.AA29213@supra.comm.mot.com>
	From: Loren James Rittle <rittle@comm.mot.com>
	To: info-cvs@prep.ai.mit.edu
	Subject: Change to allow pcl-cvs to use more hidden buffer names
	Date: Mon, 6 Nov 95 15:19:57 CST


	PCL-CVS uses hidden buffers in some places.  This patch makes more
	PCL-CVS buffers hidden.

	Loren

Tue Nov 14 20:56:41 1995  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el (cvs-do-removal):
	don't fail if the file is missing or a directory
	(cvs-mode-add-change-log-entry-other-window): get the
	change-log-filename and entry name right

	* pcl-cvs.el, ChangeLog:
	* pcl-cvs.el (local-path, local-gnu-path): added documentation
	string
	(cvs-rmdir-program): use the proper default and leave it alone

	* pcl-cvs.el:
	- from ccvs official sources:
	revision 1.12
	pcl-cvs.el 1995/05/19 01:59:26 jimb 
	Automatically guess CVS log entries from ChangeLog contents.
	* pcl-cvs.el (cvs-mode-changelog-commit): New command.
	(cvs-changelog-full-paragraphs): New variable.
	(cvs-changelog-name, cvs-narrow-changelog,
	cvs-changelog-paragraph, cvs-changelog-subparagraph,
	cvs-changelog-entry, cvs-changelog-ours-p, cvs-relative-path,
	cvs-changelog-entries, cvs-changelog-insert-entries, cvs-union,
	cvs-insert-changelog-entries, cvs-edit-delete-common-indentation): New functions.
	(cvs-mode-map): Bind 'C' to cvs-mode-changelog-commit.
	(cvs-mode): Mention cvs-mode-changelog-commit in docstring.

	* ChangeLog:
	- from ccvs official sources:
	revision 1.12
	ChangeLog 1995/05/19 01:59:26 jimb 
	Automatically guess CVS log entries from ChangeLog contents.
	* pcl-cvs.el (cvs-mode-changelog-commit): New command.
	(cvs-changelog-full-paragraphs): New variable.
	(cvs-changelog-name, cvs-narrow-changelog,
	cvs-changelog-paragraph, cvs-changelog-subparagraph,
	cvs-changelog-entry, cvs-changelog-ours-p, cvs-relative-path,
	cvs-changelog-entries, cvs-changelog-insert-entries, cvs-union,
	cvs-insert-changelog-entries, cvs-edit-delete-common-indentation): New functions.
	(cvs-mode-map): Bind 'C' to cvs-mode-changelog-commit.
	(cvs-mode): Mention cvs-mode-changelog-commit in docstring.

	* pcl-cvs.el:
	- slight variant of this change ccvs official sources
	revision 1.10
	pcl-cvs.el 1995/05/03 18:56:20 jimb 
	(cvs-parse-stderr): Handle colons after both "rcsmerge" and "warning".

	* pcl-cvs.el:
	- from ccvs official sources
	revision 1.9
	pcl-cvs.el 1995/04/26 02:36:15 jimb 
	(cvs-parse-stderr): Recognize "conflicts" as well as "overlaps" before
	"during merge."
	- also fixed a few other minor inconsitencies in that region...

	* pcl-cvs.el:
	- from ccvs official sources
	revision 1.5
	pcl-cvs.el 1995/01/31 23:31:39 jimb 
	(cvs-cvsroot-required): New variable.
	(cvs-do-update): If cvs-cvsroot-required is not set, don't complain if
	CVSROOT and cvs-cvsroot are both unset.

	* pcl-cvs.el:
	- use 'identity instead of '(lambda (foo) foo)
	- fix a botch in cvs-make-list
	- check cvs-status-flags and cvs-log-flags are lists before using them

Mon Nov 13 23:49:25 1995  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- fixed up version strings
	- minor changes to cvs-*-flags defaults
	- added functions parse-string and cvs-make-list
	- modified various parsers to handle "cvs server:" messages
	- added support for "P" flag (PATCHED)
	- fixed use of "-Q" for "cvs status"
	- use cvs-make-list when reading new values for cvs-*-flags

	* Makefile:
	- fix the info install rules...

	* ToDo:
	- more things to look into...

Sun Mar 12 20:40:05 1995  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- minor twiggle to old RCS Id's to match format

	* Makefile:
	- fix up RCS Id's
	- add clobber to "clean" targets
	- separate installation of *.el's and default off
	- fix INSTALL_DATA

	* pcl-cvs.el:
	- minor twiggles to automatically localise and to note this is a local version

	* ToDo:
	- first cut

	* .cvsignore:
	- first time in -- default generated targets

Tue Nov 22 20:49:39 1994  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- adjust RCS keywords
	- reset shell to just /bin/sh

Fri Nov  4 21:14:55 1994  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- fix directory for new CVS-1.4
	- add '-v' to cvs-status-flags

Mon Dec  6 19:06:18 1993  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- I don't quite know how that happened, but we had a variable and
	function with the same name, and an un-defined variable....

	* pcl-cvs.el:
	- re-format a few things....
	- replace numerous duplicate lambda expressions with a new common
	  function: cvs-quote-multiword-string

Fri Nov 26 20:54:25 1993  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- oops!  was changing the directory string we were comparing against!

	* pcl-cvs.el:
	- oops -- missing an end-sexp....

	* pcl-cvs.el:
	- in theory this fixes up all the local directory vs.
	default-directory problems

	* pcl-cvs.el:
	- ensure multi-word args are quoted in messages
	- enhance naming of diff buffers

Fri Nov 12 18:43:09 1993  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- update comment about "Conflict"...
	- fiddle with rcs-ident stuff

Thu Nov  4 01:15:53 1993  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- set default cvs-status-flags to '("-Q)
	- use cvs-bakprefix where intended
	- add functions and keymaps for setting cvs-*-flags.
	- re-pretty-print some stuff

Wed Nov  3 23:11:15 1993  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- use cvs-kill-buffer-visiting in cvs-mode-diff-vendor for cleanup.
	- fix last minibuffer message in cvs-mode-diff-vendor.

	* pcl-cvs.el:
	- OOPS!  put (list ...) back where we need evaluation.
	- default to use of CVS/Root always for cvs-update, if it exits.

	* pcl-cvs.el:
	- oops -- minor bug with usage of mapconcat
	- changed (list ...) to '(...)

	* pcl-cvs.texinfo:
	- minor updates of filenames and versions.
	- added myself as a contributor

	* pcl-cvs.el:
	- re-justified multitueds of comments, and fixed minor bits too.
	- added support for CVS/Root file to supplement use of $CVSROOT and/or
	cvs-cvsroot.
	- added cvs-mode-map binding for cvs-change-cvsroot
	- added optional message-fmt argument to cvs-execute-list (prints
	message showing progress in minibuffer).
	- modified cvs-mode-diff-cvs to put results in
	cvs-fileinfo->cvs-diff-buffer.
	- modified cvs-mode-diff-backup to put results in
	cvs-fileinfo->backup-diff-buffer.
	- modified cvs-mode-diff-vendor to put results in
	cvs-fileinfo->vendor-diff-buffer.
	- modified cvs-mode-diff-* to use cvs-diff-flags.
	- added cvs-*-diffable.
	- fixed various minibuffer progress messages.

Thu Oct 28 23:10:38 1993  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	- many minor improvements,
	- several bug fixes,
	- added some support for vendor branch merging,

Tue Oct 26 18:26:33 1993  Greg A. Woods  <woods@most.weird.com>

	* Makefile:
	- fixes, localisations, etc.

Fri Oct 22 21:19:15 1993  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el, Makefile:
	- localisations....

	* pcl-cvs.el:
	pick the 1.05 version over local edits....

Thu Oct 21 21:40:26 1993  Greg A. Woods  <woods@most.weird.com>

	* texinfo.tex, pcl-cvs.texinfo, pcl-cvs.el, pcl-cvs-startup.el, pcl-cvs-lucid.el, compile-all.el, README, NEWS, Makefile, INSTALL, ChangeLog:
	pcl-cvs version 1.05 distribution

Tue Jun  1 16:25:35 1993  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	add a newline to the cvs-mode-add description

Fri May 28 14:13:41 1993  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	add cvs-commit-buffer-require-final-newline to allow forcing a newline
	onto the commit buffer

Fri May 14 22:35:01 1993  Greg A. Woods  <woods@most.weird.com>

	* pcl-cvs.el:
	localizations....

	* ChangeLog, INSTALL, Makefile, NEWS, README, compile-all.el, pcl-cvs.el, pcl-cvs-lucid.el, pcl-cvs-startup.el, pcl-cvs.texinfo, texinfo.tex:
	pcl-cvs version 1.04 distribution

	* ChangeLog, INSTALL, Makefile, NEWS, README, compile-all.el, pcl-cvs.el, pcl-cvs-lucid.el, pcl-cvs-startup.el, pcl-cvs.texinfo, texinfo.tex:
	Initial revision

